<div class="modal is-active" >
    <div class="modal-background" matDialogClose=""></div>
    <div class="modal-card">
        <header class="modal-card-head">
            <p class="modal-card-title">{{dictionary.create}} - {{dictionary.aircraft}}: {{maxTitleLength(name, 30)}}</p>
            <button class="delete" aria-label="close" matDialogClose=""></button>
        </header>
        <section class="modal-card-body">
            <div style="margin-bottom: 10px;" *ngIf="typeDisabled"><label>{{dictionary.aircraftTypeSelect}}:</label><br>
                <div class="select {{selectAircraftTag}}">
                    <select [(ngModel)]="type">
                        <option value=""  [disabled]="typeDisabled">{{dictionary.pleaseSelect}}...</option>
                        <option value="{{aircraftKeys.civil}}">{{dictionary.civilAircrafts}}</option>
                        <option value="{{aircraftKeys.military}}">{{dictionary.militaryAircrafts}}</option>
                    </select>
                </div>
            </div>
            <div>
                <label>{{aircraftTitle.name}}:</label>
                <input class="input {{aircraftVariableStore.name}}" [(ngModel)]="name" name="{{aircraftKeys.name}}" type="text" value="{{name}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.distance}}:</label>
                <input class="input {{aircraftVariableStore.distance}}" [(ngModel)]="distance"  name="{{aircraftKeys.distance}}"  type="number" min="0" step="1" value="{{distance}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.seatCount}}:</label>
                <input class="input {{aircraftVariableStore.seatCount}}" [(ngModel)]="seatCount"  name="{{aircraftKeys.seatCount}}"  type="number" min="0" step="1" value="{{seatCount}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.maxSeatCount}}:</label>
                <input class="input {{aircraftVariableStore.maxSeatCount}}" [(ngModel)]="maxSeatCount"  name="{{aircraftKeys.maxSeatCount}}"  type="number" min="0" step="1" value="{{maxSeatCount}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.length}}:</label>
                <input class="input {{aircraftVariableStore.length}}" [(ngModel)]="length"  name="{{aircraftKeys.length}}" type="number" min="0" step="0.01" value="{{length}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.height}}:</label>
                <input class="input {{aircraftVariableStore.height}}" [(ngModel)]="height"  name="{{aircraftKeys.height}}" type="number" min="0" step="0.01" value="{{height}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.wingSpan}}:</label>
                <input class="input {{aircraftVariableStore.wingSpan}}" [(ngModel)]="wingSpan"  name="{{aircraftKeys.wingSpan}}" type="number" min="0" step="0.01" value="{{wingSpan}}" placeholder="" required="">
            </div>
            <div>
                <label>{{aircraftTitle.consumption}}:</label>
                <input class="input {{aircraftVariableStore.consumption}}" [(ngModel)]="consumption"  name="{{aircraftKeys.consumption}}" type="number" min="0" step="0.01" value="{{consumption}}" placeholder="" required="">
            </div>

            <div *ngIf="type == aircraftKeys.civil"><label>{{aircraftTitle.gateLicense}}:</label><br>
                <div class="select {{aircraftVariableStore.gateLicense}}">
                    <select [(ngModel)]="gateLicense" name="{{aircraftKeys.gateLicense}}"  required="">
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>
            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.flare}}:</label><br>
                <div class="select {{aircraftVariableStore.flare}}">
                    <select [(ngModel)]="flare" name="{{aircraftKeys.flare}}"   required="">
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>
            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.airRefueling}}:</label><br>
                <div class="select {{aircraftVariableStore.airRefueling}}">
                    <select [(ngModel)]="airRefueling" name="{{aircraftKeys.airRefueling}}"  required="">
                        <option value="true">{{dictionary.yes}}</option>
                        <option value="false">{{dictionary.no}}</option>
                    </select>
                </div>
            </div>

        </section>
        <footer class="modal-card-foot">
            <button class="button is-success"  [disabled]="submitButton !== true ? 'disabled' : ''" (click)="save();">{{dictionary.saveChange}}</button>
            <button class="button"  matDialogClose="">{{dictionary.cancel}}</button>
        </footer>
    </div>
</div>


